require 'xmpp4r/message'

require_relative '../module_base'

module Lain
  module Modules
    class DDate < Base
      def on_message(muc, message)
        return unless message.type == :groupchat
        return unless /!ddate\b/ =~ message.body

        p = IO.popen("ddate")
        while (line = p.gets)
          muc.send(Jabber::Message.new(message.to, line.chomp))
        end
      end
    end
  end
end
